<?php
/*=================================================================================================
 * 멀티 업로더를 위해서 추가된 부분
 * 1. 리스트에서 보여줄 대표 썸네일을 업로드 한다
 *
**-----------------------------------------------------------------------------------------------*/
// 변수 초기화
unset($_update_sqlA, $_update_sqlB); 

if($_use_multiuploader === 'Yes'){ // 멀티 업로더 사용을 승인 했다면 
    /*===============================================
     * 4. 대표 썸네일 지정
    **---------------------------------------------*/
	// 새로운 업로드 파일이 대표 썸네일이 안되므로 여기서 한번 더 업데이트 해준다 2024.08.01 
    $_update_sqlA = "UPDATE {$g5['board_file_table']}
        SET bf_list_thumbnail = 'N'
        WHERE bo_table = '{$bo_table}'
        AND wr_id = '{$wr_id}'";  // 해당 글에 한해서 
    sql_query($_update_sqlA);
	
	$_list_thumbnail = isset($_list_thumbnail) ? $_list_thumbnail : 0;
	$_update_sqlB = "UPDATE {$g5['board_file_table']} 
		SET bf_list_thumbnail = 'Y' 
		WHERE bo_table =  '{$bo_table}' AND wr_id = '{$wr_id}' AND bf_no = (
			SELECT bf_no FROM (
				SELECT bf_no 
				FROM {$g5['board_file_table']}
				WHERE bo_table = '{$bo_table}' 
				AND wr_id = '{$wr_id}' 
				AND bf_source <> '' 
				AND bf_file <> '' 
				ORDER BY bf_no ASC 
				LIMIT 1 OFFSET {$_list_thumbnail}
			) AS subquery
		) ";
	sql_query($_update_sqlB);

}// 멀티 업로더 사용을 승인 했다면 ( use_multiuploader === 'Yes' )

 